Subject: bug#21139: 25.0.50; shell-mode doesn't respect comint-scroll-to-bottom-on-output/input

From: Artur Malabarba <[email-masked]>
Date: Mon, 10 Aug 2015 10:26:17 +0100

> AFAICS, it moves point to EOB if it is not already there, when user
> input is expected.

What's an exmaple of 'input is expected'? When the shell prompt is displayed?

I've set all 3 variables to nil, but my cursor is still moved to the
end of the buffer when the output+prompt are displayed, no matter
where it was before. (Tested by runnning 'sleep 2; date' and then
moving the point around.)